Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057821 - [abrt] gnome-shell: g_type_check_instance_is_a(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_type_check_instance_is_a(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4566cb1db7d5ddd584edb5f61b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 04:18 UTC by mastaiza
Modified: 2015-06-29 14:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:45:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-25 04:18 UTC, mastaiza
no flags Details
File: cgroup (deleted)
2014-01-25 04:18 UTC, mastaiza
no flags Details
File: core_backtrace (deleted)
2014-01-25 04:18 UTC, mastaiza
no flags Details
File: dso_list (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: environ (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: limits (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: maps (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: open_fds (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: proc_pid_status (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: var_log_messages (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details
File: exploitable (deleted)
2014-01-25 04:19 UTC, mastaiza
no flags Details

Description mastaiza 2014-01-25 04:18:48 UTC
Description of problem:
When you call the program's election of shell fell

Version-Release number of selected component:
gnome-shell-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/gnome-shell
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_a at gtype.c:3975
 #1 g_object_notify at gobject.c:1162
 #2 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 g_settings_real_change_event at gsettings.c:288
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:522
 #9 g_cclosure_marshal_generic_va at gclosure.c:1550
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 settings_backend_path_changed at gsettings.c:363

Comment 1 mastaiza 2014-01-25 04:18:52 UTC
Created attachment 855282 [details]
File: backtrace

Comment 2 mastaiza 2014-01-25 04:18:54 UTC
Created attachment 855283 [details]
File: cgroup

Comment 3 mastaiza 2014-01-25 04:18:57 UTC
Created attachment 855284 [details]
File: core_backtrace

Comment 4 mastaiza 2014-01-25 04:19:03 UTC
Created attachment 855285 [details]
File: dso_list

Comment 5 mastaiza 2014-01-25 04:19:05 UTC
Created attachment 855286 [details]
File: environ

Comment 6 mastaiza 2014-01-25 04:19:07 UTC
Created attachment 855287 [details]
File: limits

Comment 7 mastaiza 2014-01-25 04:19:11 UTC
Created attachment 855288 [details]
File: maps

Comment 8 mastaiza 2014-01-25 04:19:13 UTC
Created attachment 855289 [details]
File: open_fds

Comment 9 mastaiza 2014-01-25 04:19:15 UTC
Created attachment 855290 [details]
File: proc_pid_status

Comment 10 mastaiza 2014-01-25 04:19:17 UTC
Created attachment 855291 [details]
File: var_log_messages

Comment 11 mastaiza 2014-01-25 04:19:19 UTC
Created attachment 855292 [details]
File: exploitable

Comment 12 Radist Morse 2014-03-01 17:48:57 UTC
Another user experienced a similar problem:

Happens during transition from overview mode to normal mode. Sometimes right in the middle of the animation.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/gnome-shell
kernel:         3.13.5-200.fc20.x86_64
package:        gnome-shell-3.10.4-1.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 10:40:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:45:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.